pdemo-exec.test
来自「GNU libtool 是一个通用库支持脚本」· TEST 代码 · 共 42 行
TEST
42 行
#! /bin/sh# pdemo-exec.test - check that programs in the ../pdemo subdirectory are viable# Test script header.need_prefix=noif test -z "$srcdir"; then srcdir=`echo "$0" | sed 's%/[^/]*$%%'` test "$srcdir" = "$0" && srcdir=. test "${VERBOSE+set}" != "set" && VERBOSE=yesfi. $srcdir/defs || exit 1if test -f ../pdemo/hell$EXEEXT; then :else echo "You must run pdemo-make.test before running $0" 1>&2 exit 77fi# Check to see if the programs really run.echo "Executing uninstalled programs in ../pdemo"status=0if ../pdemo/hell_static| grep 'Welcome to GNU Hell'; then :else echo "$0: cannot execute ../pdemo/hell_static" 1>&2 status=1fiif ../pdemo/hell | grep 'Welcome to GNU Hell'; then :else echo "$0: cannot execute ../pdemo/hell" 1>&2 status=1fiif ../pdemo/helldl | $EGREP -e '(Welcome to .*GNU Hell|unsupported)'; then :else echo "$0: cannot execute ../pdemo/helldl" 1>&2 status=1fiexit $status
⌨️ 快捷键说明
复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?